<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<h2>USER REGISTER</h2>
<br>
<form action="/register/save" method="post" th:object="${user}">

    <span th:if="${#fields.hasErrors('username')}" th:each="err,stat:${#fields.errors('username')}" th:utext="!${stat.last}?${err}+'<br/>':${err}"></span><br>
    <br>
    <label for="user">USER</label>
    <br>
    <input id="user" type="text" name="username" th:field="*{username}" placeholder="Introduceti user">
    <br>
    <br>
    <span th:if="${#fields.hasErrors('password')}" th:each="err,stat:${#fields.errors('password')}" th:utext="!${stat.last}?${err}+'<br/>':${err}"></span><br>
    <br>
    <label for="password">PASSWORD</label>
    <br>
    <input id="password" type="text" name="password" th:field="*{password}" placeholder="Instroduceti parola">
    <br>
    <br>
    <input type="Submit">
</form>
</body>
</html>